# Uses of Interface
com.sun.source.tree.ReturnTree

Packages that use ReturnTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of ReturnTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type ReturnTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitReturn(ReturnTree node, P p)`
  Visits a `ReturnTree` node.

- ## Uses of ReturnTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type ReturnTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitReturn(ReturnTree node, P p)`
  Visits a `ReturnTree` node.
  `R`
  TreeScanner.`visitReturn(ReturnTree node, P p)`
  Visits a `ReturnTree` node.